Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.jca.ra
Class JEConnection

    java.lang.Object
      com.sleepycat.je.jca.ra.JEConnection

    public class JEConnection

extends Object

A JEConnection provides access to JE services. See <JEHOME>/examples/jca/HOWTO-**.txt and <JEHOME>/examples/jca/simple/SimpleBean.java for more information on how to build the resource adaptor and use a JEConnection.

Constructor Summary
`JEConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc)`

Method Summary
`void` | `close()`
`Environment` | `getEnvironment()`
`Transaction` | `getTransaction()`
`Database` | `openDatabase(String name, DatabaseConfig config)`
`SecondaryDatabase` | `openSecondaryDatabase(String name, Database primaryDatabase, SecondaryConfig config)`
`void` | `removeDatabase(String databaseName)`
`protected void` | `setManagedConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc, com.sleepycat.je.jca.ra.JELocalTransaction lt)`
`long` | `truncateDatabase(String databaseName, boolean returnCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEConnection

    public JEConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc)

Method Detail

### setManagedConnection

    protected void setManagedConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc,
                                        com.sleepycat.je.jca.ra.JELocalTransaction lt)

### getEnvironment

    public Environment getEnvironment()
                               throws ResourceException

  Throws:
    `ResourceException`

### openDatabase

    public Database openDatabase(String name,
                                 DatabaseConfig config)
                          throws DatabaseException

  Throws:
    `DatabaseException`

### openSecondaryDatabase

    public SecondaryDatabase openSecondaryDatabase(String name,
                                                   Database primaryDatabase,
                                                   SecondaryConfig config)
                                            throws DatabaseException

  Throws:
    `DatabaseException`

### removeDatabase

    public void removeDatabase(String databaseName)
                        throws DatabaseException

  Throws:
    `DatabaseException`

### truncateDatabase

    public long truncateDatabase(String databaseName,
                                 boolean returnCount)
                          throws DatabaseException

  Throws:
    `DatabaseException`

### getTransaction

    public Transaction getTransaction()
                               throws ResourceException

  Throws:
    `ResourceException`

### close

    public void close()
               throws JEException

  Throws:
    `JEException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.